## ibusdebug

ibusdebug — Debug message output.

## Stability Level

Stable, unless otherwise indicated

## Synopsis

    #define             ibus_warning                        (msg,
                                                             ...)

## Description

This section lists functions that generate debug and warning messages.

## Details

### ibus_warning()

    #define             ibus_warning(msg, args...)

A convenient wrapper for g_warning. The output format will be

        source_file:line, message...

`msg` : | A printf formatted message to be print.
`...` : | Necessary arguments for `msg`.